OpenTTD Source: RoadVehicleInfo Struct Reference

OpenTTD Source 15.0-RC2

Data Fields
RoadVehicleInfo Struct Reference

Information about a road vehicle. More...

`#include <engine_type.h>`

## Data Fields
uint8_t | image_index = 0
uint8_t | cost_factor = 0
uint8_t | running_cost = 0
Price | running_cost_class {}
SoundID | sfx {}
uint16_t | max_speed = 0
| Maximum speed (1 unit = 1/3.2 mph = 0.5 km-ish/h)
uint8_t | capacity = 0
uint8_t | weight = 0
| Weight in 1/4t units.
uint8_t | power = 0
| Power in 10hp units.
uint8_t | tractive_effort = 0x4C
| Coefficient of tractive effort.
uint8_t | air_drag = 0
| Coefficient of air drag.
uint8_t | visual_effect = VE_DEFAULT
| Bitstuffed NewGRF visual effect data.
uint8_t | shorten_factor = 0
| length on main map for this type is 8 - shorten_factor
RoadType | roadtype {}
| Road type.

## Detailed Description

Information about a road vehicle.

Definition at line 146 of file engine_type.h.

## Field Documentation

## ◆ air_drag

uint8_t RoadVehicleInfo::air_drag = 0

Coefficient of air drag.

Definition at line 157 of file engine_type.h.

Referenced by RoadVehicle::GetAirDrag(), and RoadVehicleChangeInfo().

## ◆ capacity

uint8_t RoadVehicleInfo::capacity = 0

Definition at line 153 of file engine_type.h.

## ◆ cost_factor

uint8_t RoadVehicleInfo::cost_factor = 0

Definition at line 148 of file engine_type.h.

## ◆ image_index

uint8_t RoadVehicleInfo::image_index = 0

Definition at line 147 of file engine_type.h.

## ◆ max_speed

uint16_t RoadVehicleInfo::max_speed = 0

Maximum speed (1 unit = 1/3.2 mph = 0.5 km-ish/h)

Definition at line 152 of file engine_type.h.

Referenced by RoadVehicleChangeInfo(), and RoadVehUpdateCache().

## ◆ power

uint8_t RoadVehicleInfo::power = 0

Power in 10hp units.

Definition at line 155 of file engine_type.h.

Referenced by RoadVehicleChangeInfo().

## ◆ roadtype

RoadType RoadVehicleInfo::roadtype {}

Road type.

Definition at line 160 of file engine_type.h.

Referenced by CanBuildVehicleInfrastructure(), CheckAutoreplaceValidity(), FinaliseEngineArray(), ReplaceVehicleWindow::GenerateReplaceVehList(), GetCompanyRoadTypes(), GetEngineCategoryName(), GetRoadTypes(), IsEngineBuildable(), and NewVehicleAvailable().

## ◆ running_cost

uint8_t RoadVehicleInfo::running_cost = 0

Definition at line 149 of file engine_type.h.

## ◆ running_cost_class

Price RoadVehicleInfo::running_cost_class {}

Definition at line 150 of file engine_type.h.

## ◆ sfx

SoundID RoadVehicleInfo::sfx {}

Definition at line 151 of file engine_type.h.

## ◆ shorten_factor

uint8_t RoadVehicleInfo::shorten_factor = 0

length on main map for this type is 8 - shorten_factor

Definition at line 159 of file engine_type.h.

Referenced by RoadVehicleChangeInfo().

## ◆ tractive_effort

uint8_t RoadVehicleInfo::tractive_effort = 0x4C

Coefficient of tractive effort.

Definition at line 156 of file engine_type.h.

Referenced by RoadVehicleChangeInfo().

## ◆ visual_effect

uint8_t RoadVehicleInfo::visual_effect = VE_DEFAULT

Bitstuffed NewGRF visual effect data.

Definition at line 158 of file engine_type.h.

Referenced by RoadVehicleChangeInfo().

## ◆ weight

uint8_t RoadVehicleInfo::weight = 0

Weight in 1/4t units.

Definition at line 154 of file engine_type.h.

Referenced by RoadVehicleChangeInfo().

The documentation for this struct was generated from the following file:

- src/engine_type.h